Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text
Class LayeredHighlighter.LayerPainter

    java.lang.Object
      |
      +--javax.swing.text.LayeredHighlighter.LayerPainter

All Implemented Interfaces:
  Highlighter.HighlightPainter

Direct Known Subclasses:
  DefaultHighlighter.DefaultHighlightPainter

Enclosing class:
  LayeredHighlighter

public abstract static class LayeredHighlighter.LayerPainter
extends Object
implements Highlighter.HighlightPainter

Layered highlight renderer.

Constructor Summary
`LayeredHighlighter.LayerPainter()`

Method Summary
`abstract Shape` | `paintLayer(Graphics g, int p0, int p1, Shape viewBounds, JTextComponent editor, View view)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.text.Highlighter.HighlightPainter
`paint`

Constructor Detail

### LayeredHighlighter.LayerPainter

    public LayeredHighlighter.LayerPainter()

Method Detail

### paintLayer

    public abstract Shape paintLayer(Graphics g,
                                     int p0,
                                     int p1,
                                     Shape viewBounds,
                                     JTextComponent editor,
                                     View view)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.